Description

In the Taxeditor documentation the term 'window' is being used as simple and common term to refer to the various top level Ul
components of the Taxeditor.

This term can be confusing though, since it usually refers to whole application windows and not to window like sub-components in a
application.
In eclipse RCP terminology these are named view and editor

Terms as used in documentation for other software products:

Editor pane & view (oxygen - is eclipse rcp based!)

Editor & tab (xmImind)

Editor & Tab Blender

(Map View) & panel [QGIS](https://docs.qgis.org/2.14/en/docs/user_manual/introduction/qgis_gui.html#panels-and-toolbars]
¢ (Canvas) & panel/docker krita

e Document window & panel Adobe

e Editor & toolwindow (jetbrains)

e Subwindow
https://docs.blender.org/manual/en/latest/interface/window_system/introduction.html
https://docs.qgis.org/2.14/en/docs/user_manual/introduction/qgis_gui.html#panels-and-toolbars
https://docs.krita.org/en/user_manual/getting_started/navigation.html
https://helpx.adobe.com/photoshop/using/workspace-basics.html
https://www.jetbrains.com/help/phpstorm/quick-start-guide-phpstorm.html#explore-the-user-interface
In the Ul the names View and Editor are being used:
History

#1 - 10/09/2019 05:08 PM - Andreas Kohlbecker

- Description updated

#2 - 10/09/2019 05:14 PM - Andreas Kohlbecker

- Description updated

#3 - 10/09/2019 05:21 PM - Andreas Kohlbecker

- Description updated

#4 - 10/09/2019 05:26 PM - Andreas Kohlbecker

- Description updated
#5 - 10/09/2019 05:34 PM - Andreas Kohlbecker

- Description updated

#6 - 10/09/2019 05:35 PM - Andreas Kohlbecker

- Description updated

#7 - 10/09/2019 05:38 PM - Andreas Kohlbecker

- Description updated

#8 - 10/10/2019 12:46 PM - Andreas Kohlbecker
- File picture764-1.png added

- Description updated

#9 - 10/10/2019 01:02 PM - Andreas Kohlbecker
- File picture452-1.png added

- Description updated

#10 - 10/10/2019 01:05 PM - Andreas Kohlbecker

- File view-green.png added

#11 - 10/10/2019 01:05 PM - Andreas Kohlbecker
- File editor-blue.png added

#12 - 10/10/2019 01:06 PM - Andreas Kohlbecker
- File deleted (picture764-1.png)

#13 - 10/10/2019 04:45 PM - Andreas Kohlbecker
- File picture121-1.png added

- Description updated

#14 - 10/23/2019 11:33 AM - Andreas Kohlbecker
A poll on editor terms was created on 2019-10-10 : Umfrage https://terminplaner4.dfn.de/enQ2EAH8G7jKtJev

#15 - 10/23/2019 11:34 AM - Andreas Kohlbecker

Mein vorlaufiges Fazit aus der Umfrage ist, dass alle "Formular-Felder" Editoren sind, also auch der Details-View und "Taxon-Node-Dialog". Der
Taxon Navigator oder Factual-Data-View sind ganz klar keine Editoren. Alles was sich im Hauptbereich tummelt, also griin oder blau, kann als View
oder Panel bezeichnet werden. Die Praferenzen fur den einen oder anderen Begriff scheint zum einen etwas mit Gewdhnung zu tun zu haben, hat
aber auch wohl einen semantischen Hintergrund (siehe David).

Ich schlage vor wir bleiben bei View, das hat sich ja schon gut eingeburgert. Den Begriff Editor sollten wir aber flexibler verwenden: Alles was zur
Eingabe von Daten dient, sollte als Editor bezeichnet werden kénnen, also (Bindestiche hier nur zu Darstellungszwecken):

Name-Editor oder Name-Editor-View
Taxon-Node-Editor oder Taxon-Node-Editor-Dialog
Name-Bulk- Editor

Details-Editor oder Details-Editor-View

Dadurch sind wir flexibler und kénnen auch den Taxon-Node-Editor z.B. in einem View anbieten, sofern das mal gebraucht wird. Ob es ein Dialog
oder ein View ist ist fir den Nutzer ja nicht so wichtig, denn auf die Funktion kommt es an.

#16 - 11/12/2019 03:22 PM - Andreas Kohlbecker
- File Taxeditor-Terms-Poll-2019.pdf added
- % Done changed from 0 to 70

Die Umfrage ist abgeschlossen und ausgewertet (Taxeditor-Terms-Poll-2019.pdf):

Hallo zusammen,
https://terminplaner4.dfn.de/enQ2EAH8G7jKtJev
https://dev.e-taxonomy.eu/redmine/attachments/1766

die Umfrage (https:/terminplaner4.dfn.de/enQ2EAH8G7jKtJev) ist nun abgeschlossen. Auch wenn es kein eindeutiges Ergebnis gibt, sind die
abgegebenen Stimmen und Kommentare aufschlussreich und lassen ein Fazit zu, das die Méglichkeiten zur Benennung der Bereiche im Taxeditor
stark einschrénkt.

Nach meiner Auffassung bieten sich letztlich zwei Méglichkeiten an.

Doch zuné&chst zu den allgemeinen Erkenntnissen aus der Umfrage:

Alle Bereiche mit Formularen Uber die Daten verandert werden kénnen sind Editoren, also auch der "Details-View" und der "Taxon-Node-Dialog".
"Taxon Navigator" oder "Factual-Data-View" sind ganz klar keine Editoren. Warum daher nur der zentralen Bereich als Editor bezeichnet werden
sollte ist nicht nachvollziehbar.

Alles was sich im Hauptbereich tummelt, also griin oder blau, kénnte als View, Panel oder Pane bezeichnet werden. Fir "View" gab es die meisten
Stimmen, was wohl damit zu tun hat, dass dieser Begriff schon lange verwendet wird und sich somit unter Entwicklern und langjahrigen Nutzern
etabliert ist. Allerdings ist "View" aus der Perspektive eines Muttersprachlers nicht geeignet, um damit einen Bereich zu bezeichnen, Gber den Daten
verandert werden kdnnen: "View could be interpreted to mean that the data shown there are view-only" (Nick Turland).

"Panel" wurde in der Umfrage auch préferiert, wird aber laut Oxford English Dictionary Gblicherweise nicht zur Bezeichnung von
Userinterface-Bereichen verwendet, auch wenn die Dokumentationen von Adobe, Krita und QGis das Gegenteil belegen. "Pane" hingegen scheint
aufgrund der Definitionen im Oxford English Dictionary ein recht gut passender Begriff zu sein. Allerdings zeigt sich bei einer Recherche auch, dass
beide Begriffe so oft falsch verwendet wurden, so dass die Festlegung auf den Einen oder Anderen Begriff aus dieser Sicht nicht zwingend notwendig
erscheint.

Panel wird im allgemeinen fir sogenannte Bedienfelder zur Steuerung einer Anwendung verwendet, fir Editoren passt er anscheinend weniger gut.
Auch "Frame" wurde in der Umfrage vorgeschlagen, dieser Begriff hat jedoch meistens einen Bezug zu Webseiten und scheint im Zusammenhang
mit einer Desktop-Anwendung nicht passend zu sein.

Das Fazit aus all diesen Erwagungen ist, dass der Begriff Editor weiter gefasst werden sollte: Alles was zur Eingabe von Daten dient, sollte als Editor
bezeichnet werden.

Alle Bereiche, ob Editor oder solche die nur Daten anzeigen, kénnen als "View" oder "Pane" bezeichnet werden. "Panel" ist auch méglich, aber nicht
optimal, wenn es sich bei dem Inhalt um einen Editor handelt. "View" ist als Begriff etabliert.

"Pane" wére der passendste weil er am flexibelsten anwendbar ist und und keinen Widerspruch zum Inhalt darstellt, egal ob Editor oder reine
Anzeige (=view). Also alle "Panes" mir denen Daten editiert werden kénnen sind "Editors" die anderen "Views".

Oder wir machen es einfacher und sprechen nur von "Editor" und "View". Dadurch wiirde der "Details View" zum "Details Editor", so wie wir dann
auch vom "Supplemental Data Editor" sprechen wiirden. Diese Méglichkeit wiirde die wenigsten Anderungen an bestehenden Labels und der
Dokumentation nach sich ziehen und der Begriff "Pane" wiirde nur selten auftauchen, namlich dann, wenn er als Oberbegriff fiir "View" und "Editor"
gebraucht wirde.

Allen die sich an dem Poll beteiligt habe ein herzliches Danke schon!

Viele GruB3e
Andreas

#17 - 11/19/2019 04:13 PM - Andreas Kohlbecker

- Subject changed from Improve term 'window' in documentation to Discuss and find appropriate term for major editor parts

#18 - 11/19/2019 04:16 PM - Andreas Kohlbecker

- Subject changed from Discuss and find appropriate term for major editor parts to Discuss and find appropriate terms for major editor parts (window,
view, editor, panel, pane)

- Status changed from New to Closed
- Priority changed from New to Highest
- % Done changed from 70 to 100

This task in complete since we have now a good naming strategy which should be acceptable for almost anybody:
"... sprechen nur von "Editor" und "View". Dadurch wiirde der "Details View" zum "Details Editor", so wie wir dann auch vom "Supplemental Data

Editor" sprechen wiirden. Diese Méglichkeit wiirde die wenigsten Anderungen an bestehenden Labels und der Dokumentation nach sich ziehen und
der Begriff "Pane" wirde nur selten auftauchen, ndmlich dann, wenn er als Oberbegriff fir "View" und "Editor" gebraucht wiirde."
